简体中文
外观
返回全部评论(comment),从指定选项开始。参数:start:array;limit:int;order:string
start:array
limit:int
order:string
start
order
limit
by_cashout_time
timestamp
author
permlink
by_permlink
by_root
root_author
root_permlink
child_author
child_permlink
by_parent
parent_author
parent_permlink
| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["1970-01-01T00:00:00", "", ""] | 10 | "by_cashout_time" | 查询前 10 条评论,按 cashout 时间排序 | | ["", ""] | 10 | "by_permlink" | 查询前 10 条评论,按永久链接排序 | | ["steemit","firstpost", "", ""] | 10 | "by_root" | 从 @steemit/firstpost 开始查询后 10 条评论,按根帖排序 | | ["steemit","firstpost", "", ""] | 10 | "by_parent" | 从 @steemit/firstpost 开始查询后 10 条评论,按父帖排序 |
["1970-01-01T00:00:00", "", ""]
"by_cashout_time"
["", ""]
"by_permlink"
["steemit","firstpost", "", ""]
"by_root"
"by_parent"
另见:Paginated API Methods
{ "start": null, "limit": 0, "order": "by_name" }
curl -s https://api.steemit.com \ -H 'Content-Type: application/json' \ --data-binary '{ "jsonrpc": "2.0", "method": "database_api.list_comments", "params": { "start": [ "1970-01-01T00:00:00", "", "" ], "limit": 10, "order": "by_cashout_time" }, "id": 1 }'
curl -s https://api.steemit.com \ -H 'Content-Type: application/json' \ --data-binary '{ "jsonrpc": "2.0", "method": "database_api.list_comments", "params": { "start": [ "", "" ], "limit": 10, "order": "by_permlink" }, "id": 1 }'
curl -s https://api.steemit.com \ -H 'Content-Type: application/json' \ --data-binary '{ "jsonrpc": "2.0", "method": "database_api.list_comments", "params": { "start": [ "steemit", "firstpost", "", "" ], "limit": 10, "order": "by_root" }, "id": 1 }'
curl -s https://api.steemit.com \ -H 'Content-Type: application/json' \ --data-binary '{ "jsonrpc": "2.0", "method": "database_api.list_comments", "params": { "start": [ "steemit", "firstpost", "", "" ], "limit": 10, "order": "by_parent" }, "id": 1 }'
{ "comments": [ { "id": 66710716, "author": "libert", "permlink": "libert-re-runicar-re-libert-libert-re-runicar-re-libert-libert-re-runicar-ykwyxgj6-20181128t063355338z", "category": "steem", "parent_author": "runicar", "parent_permlink": "re-libert-libert-re-runicar-re-libert-libert-re-runicar-ykwyxgj6-20181128t063100538z", "title": "", "body": "13\n\nPosted using [Partiko Android](https://steemit.com/@partiko-android)", "json_metadata": "{\"app\":\"partiko\"}", "last_update": "2018-11-28T06:33:57", "created": "2018-11-28T06:33:57", "active": "2018-11-28T06:34:30", "last_payout": "1970-01-01T00:00:00", "depth": 5, "children": 1, "net_rshares": 0, "abs_rshares": 0, "vote_rshares": 0, "children_abs_rshares": 0, "cashout_time": "2018-12-05T06:33:57", "max_cashout_time": "1969-12-31T23:59:59", "total_vote_weight": 0, "reward_weight": 10000, "total_payout_value": { "amount": "0", "precision": 3, "nai": "@@000000013" }, "curator_payout_value": { "amount": "0", "precision": 3, "nai": "@@000000013" }, "author_rewards": 0, "net_votes": 0, "root_author": "runicar", "root_permlink": "ykwyxgj6", "max_accepted_payout": { "amount": "1000000000", "precision": 3, "nai": "@@000000013" }, "percent_steem_dollars": 10000, "allow_replies": true, "allow_votes": true, "allow_curation_rewards": true, "beneficiaries": [] } ] }
database_api.list_comments
Purpose
返回全部评论(comment),从指定选项开始。参数:
start:array;limit:int;order:stringstart取决于order(见下文)limit最大 1000。order可取以下值:by_cashout_time- 按 cashout 时间排序start为一个必填值与两个可选值组成的数组:timestamp、author、permlinkby_permlink- 按永久链接(permlink)排序start为两个可选值组成的数组:author、permlinkby_root- 按根帖(root)排序start为两个必填值与两个可选值组成的数组:root_author、root_permlink、child_author、child_permlinkby_parent- 按父帖(parent)排序start为两个必填值与两个可选值组成的数组:parent_author、parent_permlink、child_author、child_permlink|
start(array) |limit(int) |order(string) | | |----------------------------|---------------|-| |["1970-01-01T00:00:00", "", ""]| 10 |"by_cashout_time"| 查询前 10 条评论,按 cashout 时间排序 | |["", ""]| 10 |"by_permlink"| 查询前 10 条评论,按永久链接排序 | |["steemit","firstpost", "", ""]| 10 |"by_root"| 从 @steemit/firstpost 开始查询后 10 条评论,按根帖排序 | |["steemit","firstpost", "", ""]| 10 |"by_parent"| 从 @steemit/firstpost 开始查询后 10 条评论,按父帖排序 |另见:Paginated API Methods
Parameters
Example
Example 1
Example 2
Example 3
Example 4
Response